Bug 65918 - Add Clean(Main)Project actions into Actions/Project folder
Add Clean(Main)Project actions into Actions/Project folder
Status: RESOLVED FIXED
Product: projects
Classification: Unclassified
Component: Generic Projects UI
4.x
Sun All
: P2 (vote)
: 6.x
Assigned To: Jan Lahoda
issues@projects
SSBACKPORT SSX3 INMARS
: API, API_REVIEW_FAST
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2005-10-05 00:55 UTC by _ gordonp
Modified: 2006-11-20 12:35 UTC (History)
2 users (show)

See Also:
Issue Type: ENHANCEMENT
:


Attachments
Proposed patch. (6.56 KB, patch)
2006-02-23 13:37 UTC, Jan Lahoda
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description _ gordonp 2005-10-05 00:55:05 UTC
The Deimos prototype has different requirements than other NetBeans based
IDEs. One of them required our enhancing the projectui ActionFactory class
with cleanProject() and cleanMainProject() methods. These changes are currently
on the deimos branch.
Comment 1 Jan Lahoda 2006-02-23 13:37:28 UTC
I propose to add two new action entries into the Actions/Project folder: clean
project action and clean main project action. These entries may be added into
the main menu, toolbar or shortcuts folder by the product branding or manually
by the user. I do not propose any visible change in NetBeans IDE menu, toolbars
or shortcuts. Icons for these actions are TBD.
Comment 2 Jan Lahoda 2006-02-23 13:37:57 UTC
Created attachment 28999 [details]
Proposed patch.
Comment 3 Jesse Glick 2006-02-23 16:42:50 UTC
+1 from me, seems noncontroversial.
Comment 4 Jan Lahoda 2006-03-03 10:26:28 UTC
Going to commit.
Comment 5 Jan Lahoda 2006-03-06 12:25:57 UTC
Integrated. Icons are still TBD, see issue #73278.

Checking in projectui/src/org/netbeans/modules/project/ui/actions/Actions.java;
/cvs/projects/projectui/src/org/netbeans/modules/project/ui/actions/Actions.java,v
 <--  Actions.java
new revision: 1.29; previous revision: 1.28
done
Checking in projectui/src/org/netbeans/modules/project/ui/actions/Bundle.properties;
/cvs/projects/projectui/src/org/netbeans/modules/project/ui/actions/Bundle.properties,v
 <--  Bundle.properties
new revision: 1.28; previous revision: 1.27
done
RCS file:
/cvs/projects/projectui/src/org/netbeans/modules/project/ui/resources/cleanCurrentProject.gif,v
done
Checking in
projectui/src/org/netbeans/modules/project/ui/resources/cleanCurrentProject.gif;
/cvs/projects/projectui/src/org/netbeans/modules/project/ui/resources/cleanCurrentProject.gif,v
 <--  cleanCurrentProject.gif
initial revision: 1.1
done
RCS file:
/cvs/projects/projectui/src/org/netbeans/modules/project/ui/resources/cleanCurrentProject24.gif,v
done
Checking in
projectui/src/org/netbeans/modules/project/ui/resources/cleanCurrentProject24.gif;
/cvs/projects/projectui/src/org/netbeans/modules/project/ui/resources/cleanCurrentProject24.gif,v
 <--  cleanCurrentProject24.gif
initial revision: 1.1
done
RCS file:
/cvs/projects/projectui/src/org/netbeans/modules/project/ui/resources/cleanProject24.gif,v
done
Checking in
projectui/src/org/netbeans/modules/project/ui/resources/cleanProject24.gif;
/cvs/projects/projectui/src/org/netbeans/modules/project/ui/resources/cleanProject24.gif,v
 <--  cleanProject24.gif
initial revision: 1.1
done
Checking in projectui/src/org/netbeans/modules/project/ui/resources/layer.xml;
/cvs/projects/projectui/src/org/netbeans/modules/project/ui/resources/layer.xml,v
 <--  layer.xml
new revision: 1.68; previous revision: 1.67
done
Checking in projectuiapi/arch.xml;
/cvs/projects/projectuiapi/arch.xml,v  <--  arch.xml
new revision: 1.14; previous revision: 1.13
done
Comment 6 Milan Kubec 2006-10-18 11:31:53 UTC
Fix backported to release55_mars branch. Please note that icons for actions are
still not resolved, see issue #73278. It means that if those actions are added
to main window toolbar it really doesn't look good.

Checking in resources/layer.xml;
/cvs/projects/projectui/src/org/netbeans/modules/project/ui/resources/layer.xml,v
 <--  layer.xml
new revision: 1.55.2.3.2.1.18.1; previous revision: 1.55.2.3.2.1
done
Checking in resources/cleanProject24.gif;
/cvs/projects/projectui/src/org/netbeans/modules/project/ui/resources/cleanProject24.gif,v
 <--  cleanProject24.gif
new revision: 1.1.18.1; previous revision: 1.1
done
Checking in resources/cleanCurrentProject.gif;
/cvs/projects/projectui/src/org/netbeans/modules/project/ui/resources/cleanCurrentProject.gif,v
 <--  cleanCurrentProject.gif
new revision: 1.1.18.1; previous revision: 1.1
done
Checking in resources/cleanCurrentProject24.gif;
/cvs/projects/projectui/src/org/netbeans/modules/project/ui/resources/cleanCurrentProject24.gif,v
 <--  cleanCurrentProject24.gif
new revision: 1.1.18.1; previous revision: 1.1
done
Checking in actions/Bundle.properties;
/cvs/projects/projectui/src/org/netbeans/modules/project/ui/actions/Bundle.properties,v
 <--  Bundle.properties
new revision: 1.23.2.1.2.2.10.2; previous revision: 1.23.2.1.2.2.10.1
done
Checking in actions/Actions.java;
/cvs/projects/projectui/src/org/netbeans/modules/project/ui/actions/Actions.java,v
 <--  Actions.java
new revision: 1.26.2.1.2.1.18.1; previous revision: 1.26.2.1.2.1
done
Comment 8 Milan Kubec 2006-11-20 12:25:19 UTC
I reviewed the fix originally from jlahoda.
Comment 9 Milan Kubec 2006-11-20 12:34:19 UTC
Integrated to release551 branch.

Checking in actions/Actions.java;
/cvs/projects/projectui/src/org/netbeans/modules/project/ui/actions/Actions.java,v
 <--  Actions.java
new revision: 1.26.2.1.2.1.22.1; previous revision: 1.26.2.1.2.1
done
Checking in actions/Bundle.properties;
/cvs/projects/projectui/src/org/netbeans/modules/project/ui/actions/Bundle.properties,v
 <--  Bundle.properties
new revision: 1.23.2.1.2.2.14.1; previous revision: 1.23.2.1.2.2
done
Checking in resources/cleanProject24.gif;
/cvs/projects/projectui/src/org/netbeans/modules/project/ui/resources/cleanProject24.gif,v
 <--  cleanProject24.gif
new revision: 1.1.22.1; previous revision: 1.1
done
Checking in resources/cleanCurrentProject.gif;
/cvs/projects/projectui/src/org/netbeans/modules/project/ui/resources/cleanCurrentProject.gif,v
 <--  cleanCurrentProject.gif
new revision: 1.1.22.1; previous revision: 1.1
done
Checking in resources/layer.xml;
/cvs/projects/projectui/src/org/netbeans/modules/project/ui/resources/layer.xml,v
 <--  layer.xml
new revision: 1.55.2.3.2.1.22.1; previous revision: 1.55.2.3.2.1
done
Checking in resources/cleanCurrentProject24.gif;
/cvs/projects/projectui/src/org/netbeans/modules/project/ui/resources/cleanCurrentProject24.gif,v
 <--  cleanCurrentProject24.gif
new revision: 1.1.22.1; previous revision: 1.1
done


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo